Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol.formalisms.flow
Class Duplicate

    java.lang.Object
      nl.tudelft.simulation.event.EventProducer
          nl.tudelft.simulation.dsol.formalisms.flow.Station
              nl.tudelft.simulation.dsol.formalisms.flow.Duplicate

All Implemented Interfaces:
  nl.tudelft.simulation.event.EventProducerInterface, java.io.Serializable, StationInterface

public class Duplicate
extends Station

A duplicate station duplicates incoming objects and sends them to their alternative destination.
(c) copyright 2003 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Version:
  2.0 21.09.2003
Author:
  Peter Jacobs , Alexander Verbraeck
See Also:
  Serialized Form

Field Summary

Fields inherited from class nl.tudelft.simulation.dsol.formalisms.flow.Station
`destination, simulator`

Fields inherited from class nl.tudelft.simulation.event.EventProducer
`listeners`

Fields inherited from interface nl.tudelft.simulation.dsol.formalisms.flow.StationInterface
`RECEIVE_EVENT, RELEASE_EVENT`

Fields inherited from interface nl.tudelft.simulation.event.EventProducerInterface
`FIRST_POSITION, LAST_POSITION`

Constructor Summary
`Duplicate(DEVSSimulatorInterface simulator, StationInterface duplicateDestination)` Method Duplicate.
`Duplicate(DEVSSimulatorInterface simulator, StationInterface duplicateDestination, int numberCopies)` Method Duplicate.

Method Summary
`void` | `receiveObject(java.lang.Object object)` receives an object is invoked whenever an entity arrives

Methods inherited from class nl.tudelft.simulation.dsol.formalisms.flow.Station
`getDestination, releaseObject, setDestination`

Methods inherited from class nl.tudelft.simulation.event.EventProducer
`addListener, addListener, addListener, addListener, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, getEventTypes, removeAllListeners, removeAllListeners, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface nl.tudelft.simulation.event.EventProducerInterface
`addListener, addListener, addListener, addListener, getEventTypes, removeListener`

Constructor Detail

### Duplicate

    public Duplicate(DEVSSimulatorInterface simulator,
                     StationInterface duplicateDestination)

  Method Duplicate. Creates a new Duplicate

Parameters:
  `simulator` - on which is scheduled
  `duplicateDestination` - the duplicate destination

### Duplicate

    public Duplicate(DEVSSimulatorInterface simulator,
                     StationInterface duplicateDestination,
                     int numberCopies)

  Method Duplicate.

Parameters:
  `simulator` - on which is scheduled
  `duplicateDestination` - which is the duplicate definition
  `numberCopies` - the number of copies

Method Detail

### receiveObject

    public void receiveObject(java.lang.Object object)
                       throws java.rmi.RemoteException

  Description copied from interface: `StationInterface`
  receives an object is invoked whenever an entity arrives

  Specified by:
    `receiveObject` in interface `StationInterface`
  Overrides:
    `receiveObject` in class `Station`
  Throws:
    `java.rmi.RemoteException`
  See Also:
    `StationInterface.receiveObject(Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.